net.minecraft.world.gen.structure

## Class StructureVillagePieces.Village

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureVillagePieces.Village

- Direct Known Subclasses:
    StructureVillagePieces.Church, StructureVillagePieces.Field1, StructureVillagePieces.Field2, StructureVillagePieces.Hall, StructureVillagePieces.House1, StructureVillagePieces.House2, StructureVillagePieces.House3, StructureVillagePieces.House4Garden, StructureVillagePieces.Road, StructureVillagePieces.Torch, StructureVillagePieces.Well, StructureVillagePieces.WoodHut
  Enclosing class:
    StructureVillagePieces

      public abstract static class StructureVillagePieces.Village
      extends StructureComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_143015_k`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `StructureVillagePieces.Village()`
    `protected` | `StructureVillagePieces.Village(StructureVillagePieces.Start par1ComponentVillageStartPiece, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `canVillageGoDeeper(StructureBoundingBox par0StructureBoundingBox)`
    `protected void` | `fillWithBlocks(World p_151549_1_, StructureBoundingBox p_151549_2_, int p_151549_3_, int p_151549_4_, int p_151549_5_, int p_151549_6_, int p_151549_7_, int p_151549_8_, Block p_151549_9_, Block p_151549_10_, boolean p_151549_11_)`
    `protected void` | `func_143011_b(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_143012_a(NBTTagCompound par1NBTTagCompound)`
    `protected void` | `func_151554_b(World p_151554_1_, Block p_151554_2_, int p_151554_3_, int p_151554_4_, int p_151554_5_, int p_151554_6_, StructureBoundingBox p_151554_7_)`
    `protected int` | `func_151557_c(Block p_151557_1_, int p_151557_2_)`
    `protected Block` | `func_151558_b(Block p_151558_1_, int p_151558_2_)`
    `protected int` | `getAverageGroundLevel(World par1World, StructureBoundingBox par2StructureBoundingBox)`
    `protected StructureComponent` | `getNextComponentNN(StructureVillagePieces.Start par1ComponentVillageStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5)`
    `protected StructureComponent` | `getNextComponentPP(StructureVillagePieces.Start par1ComponentVillageStartPiece, java.util.List par2List, java.util.Random par3Random, int par4, int par5)`
    `protected int` | `getVillagerType(int par1)`
    `protected void` | `placeBlockAtCurrentPosition(World p_151550_1_, Block p_151550_2_, int p_151550_3_, int p_151550_4_, int p_151550_5_, int p_151550_6_, StructureBoundingBox p_151550_7_)`
    `protected void` | `spawnVillagers(World par1World, StructureBoundingBox par2StructureBoundingBox, int par3, int par4, int par5, int par6)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `addComponentParts, buildComponent, clearCurrentPositionBlocksUpwards, fillWithAir, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_143015_k

          protected int field_143015_k

  - ### Constructor Detail

    - #### StructureVillagePieces.Village

          public StructureVillagePieces.Village()

    - #### StructureVillagePieces.Village

          protected StructureVillagePieces.Village(StructureVillagePieces.Start par1ComponentVillageStartPiece,
                                        int par2)

  - ### Method Detail

    - #### func_143012_a

          protected void func_143012_a(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143012_a` in class `StructureComponent`

    - #### func_143011_b

          protected void func_143011_b(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `func_143011_b` in class `StructureComponent`

    - #### getNextComponentNN

          protected StructureComponent getNextComponentNN(StructureVillagePieces.Start par1ComponentVillageStartPiece,
                                              java.util.List par2List,
                                              java.util.Random par3Random,
                                              int par4,
                                              int par5)

    - #### getNextComponentPP

          protected StructureComponent getNextComponentPP(StructureVillagePieces.Start par1ComponentVillageStartPiece,
                                              java.util.List par2List,
                                              java.util.Random par3Random,
                                              int par4,
                                              int par5)

    - #### getAverageGroundLevel

          protected int getAverageGroundLevel(World par1World,
                                  StructureBoundingBox par2StructureBoundingBox)

    - #### canVillageGoDeeper

          protected static boolean canVillageGoDeeper(StructureBoundingBox par0StructureBoundingBox)

    - #### spawnVillagers

          protected void spawnVillagers(World par1World,
                            StructureBoundingBox par2StructureBoundingBox,
                            int par3,
                            int par4,
                            int par5,
                            int par6)

    - #### getVillagerType

          protected int getVillagerType(int par1)

    - #### func_151558_b

          protected Block func_151558_b(Block p_151558_1_,
                            int p_151558_2_)

    - #### func_151557_c

          protected int func_151557_c(Block p_151557_1_,
                          int p_151557_2_)

    - #### placeBlockAtCurrentPosition

          protected void placeBlockAtCurrentPosition(World p_151550_1_,
                                         Block p_151550_2_,
                                         int p_151550_3_,
                                         int p_151550_4_,
                                         int p_151550_5_,
                                         int p_151550_6_,
                                         StructureBoundingBox p_151550_7_)

      Overrides:
        `placeBlockAtCurrentPosition` in class `StructureComponent`

    - #### fillWithBlocks

          protected void fillWithBlocks(World p_151549_1_,
                            StructureBoundingBox p_151549_2_,
                            int p_151549_3_,
                            int p_151549_4_,
                            int p_151549_5_,
                            int p_151549_6_,
                            int p_151549_7_,
                            int p_151549_8_,
                            Block p_151549_9_,
                            Block p_151549_10_,
                            boolean p_151549_11_)

      Overrides:
        `fillWithBlocks` in class `StructureComponent`

    - #### func_151554_b

          protected void func_151554_b(World p_151554_1_,
                           Block p_151554_2_,
                           int p_151554_3_,
                           int p_151554_4_,
                           int p_151554_5_,
                           int p_151554_6_,
                           StructureBoundingBox p_151554_7_)

      Overrides:
        `func_151554_b` in class `StructureComponent`